Download it now!
Bug 120034 - in menu: FILE / NEW / *Master Document* could be separated somehow
Summary: in menu: FILE / NEW / *Master Document* could be separated somehow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2018-09-21 15:25 UTC by peter josvai
Modified: 2019-09-21 12:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peter josvai 2018-09-21 15:25:44 UTC
// this is a nuance, also trivial

I find it strange that a Master Document is at the same level as a Text Document, for example... This is, of course, not a big deal.. and the logic behind it is clear also... "what do you want to create?"

still... many people explore the applications NOT by using it but by trying them... playing around... tasting the logic of the workflow it offers... etc.

so, it can easily happen that someone will go like "what can I create?"...
and check the list...

and if she or he sees "master document" for the first time, s/he might think of it as a type of a document, which technically is true... although not true from the aspect of using it...

the list "... HTML Document, XML Form Document, Master Document ..." is not a logical "series",
cause a MD is something different... in terms of that what you create.. 
cause it is NOT a document but a "project"... so to speak...

in any case, if there was a separator above and below Master Document, it would be already better... But I think putting it together with Document Templates, to the bottom, would be an even better option... not to mention putting it right below Text document :)

another option could be, of course, to mark Master Document like "* Master Document", for example, or "_Master_Document_"... so as to help the intuitive use and understanding of the different document formats...

I repeat, this works totally WELL already...

I'm only suggesting this addition to help those who are new and are intuitively exploring LO-W... cause if she or he sees MD distinguished from other doc types, s/he'll right away have an idea of what it could be...
"a document of documents", so to speak.. as opposed to "yet another type of document"...


thank you for developing LO !! :)
Comment 1 Dieter 2018-09-21 15:38:04 UTC
(In reply to peter josvai from comment #0) 
> in any case, if there was a separator above and below Master Document, it
> would be already better

I agree, but I also agree that this is trivial
Comment 2 Heiko Tietze 2018-10-15 10:22:05 UTC
Master Document together with Templates... sounds reasonable.
Comment 3 Commit Notification 2018-10-22 11:06:31 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72f61c464ae78d5a20fc125ad9d91210b053d9cf

tdf#120034 - Position of New > Master Document questionable

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Dieter 2019-09-21 12:19:48 UTC
Verified in

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded